import ActionConfig from './config';
import { ILogger } from './logger';
import ActionMetaData from './metadata';
import { IActionResult } from './result';
export interface IErrorHandler {
    handle(ctx: any, err: any): Promise<object>;
}
export declare enum DataType {
    TEXT = 0,
    JSON = 1,
    XML = 2
}
export declare class Action {
    static logger: ILogger;
    static dataType: DataType;
    static routes: Map<string, ActionMetaData>;
    static getActionMetaData(path: string): ActionMetaData | undefined;
    static register(config: ActionConfig): (target: any, propertyKey: string, descriptor: PropertyDescriptor) => void;
    static registerRouter(app: any): void;
    private static wrapperAction;
    static render(ctx: any, value: any, def?: IActionResult): Promise<void>;
    static handleError(app: any, handler: IErrorHandler): void;
}
declare const action: (config: ActionConfig) => (target: any, propertyKey: string, descriptor: PropertyDescriptor) => void;
export default action;
