import { IEnumSchema } from './enum';
export interface IConfigSchema {
    key: string;
    name: string;
    value: object;
}
export interface IMarkdownSchema {
    name: string;
    path: string;
}
export interface IApiDocInfo {
    title: string;
    description: string;
    version: string;
    host: string;
    author: string;
    copyright: string;
}
export interface IApiDocOption {
    info: IApiDocInfo;
    configs?: IConfigSchema[];
    markdowns?: IMarkdownSchema[];
}
export interface IControllerSchema {
    controller: string;
    actions: any[];
}
export default class ApiDoc {
    static build(ctx: any, options: IApiDocOption): {
        info: IApiDocInfo;
        configs?: IConfigSchema[] | undefined;
        markdowns?: IMarkdownSchema[] | undefined;
        routes: any;
        models: any;
        enums: IEnumSchema[];
    };
    static generateEnums(): any;
    static generateAction(controllers: any): any;
    static generateController(ctx: any): {};
    static generateModel(ctx: any): any;
}
