"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class EnumGenerator {
    generate(schema) {
        const fields = new Array();
        for (const field of schema.fields) {
            fields.push(`{ key: '${field.key}', value: ${field.value}, desc: '${field.desc}' }`);
        }
        return `
Enum.declare({
obj: ${schema.name},
name: '${schema.name}',
desc: '${schema.desc}',
fields: [
    ${fields.join(',\n        ')}
]
});
`;
    }
}
exports.EnumGenerator = EnumGenerator;
