"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const access_1 = require("../error/access");
const api_1 = require("../error/api");
const timeout_1 = require("../error/timeout");
const action_1 = require("../error/action");
const validate_1 = require("../error/validate");
const result_1 = require("../result");
class DefaultErrorHandler {
    async handle(ctx, err) {
        let data = {};
        if (err instanceof validate_1.default) {
            data = result_1.Result.error(err, { errors: err.errors });
        }
        else if (err instanceof api_1.default) {
            data = result_1.Result.error(err);
        }
        else if (err instanceof action_1.default) {
            data = result_1.Result.error(err);
        }
        else if (err instanceof timeout_1.default) {
            data = result_1.Result.error(err);
        }
        else if (err instanceof access_1.default) {
            data = result_1.Result.error(err);
        }
        else {
            ctx.logger.error('未知异常', err);
            data = result_1.Result.fail('服务端暂时无法处理您的请求。', -1024);
        }
        return data;
    }
}
exports.default = DefaultErrorHandler;
;
