"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
var RoleAuthorize_1;
"use strict";
const _1 = require(".");
const role_1 = require("../role");
let RoleAuthorize = RoleAuthorize_1 = class RoleAuthorize {
    async execute(target, metadata) {
        if (!RoleAuthorize_1.service) {
            throw new Error('<Role>拦截器未配置角色验证接口。');
        }
        const permissions = role_1.Role.getPermissions(target.constructor, metadata.action) || [];
        if (!permissions.length) {
            return true;
        }
        await RoleAuthorize_1.service.validate(target, metadata, permissions);
        return true;
    }
};
RoleAuthorize = RoleAuthorize_1 = tslib_1.__decorate([
    _1.default('role')
], RoleAuthorize);
exports.default = RoleAuthorize;
