"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class InterceptorManager {
    static add(name, type) {
        InterceptorManager.interceptors.set(name, new type());
    }
    static get(name) {
        return InterceptorManager.interceptors.get(name);
    }
    static getAll() {
        const interceptors = new Array();
        for (const [, value] of InterceptorManager.interceptors) {
            interceptors.push(value);
        }
        return interceptors;
    }
    static create(interceptors) {
        interceptors = interceptors || InterceptorManager.getAll();
        const list = new Array();
        for (const interceptor of interceptors) {
            if (typeof interceptor === 'string') {
                const value = InterceptorManager.get(interceptor);
                if (value) {
                    list.push(value);
                }
            }
            else {
                list.push(interceptor);
            }
        }
        return list;
    }
}
InterceptorManager.interceptors = new Map();
exports.InterceptorManager = InterceptorManager;
