"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
var Validator_1;
"use strict";
const _1 = require(".");
const validate_1 = require("../error/validate");
let Validator = Validator_1 = class Validator {
    async execute(target, metadata) {
        if (!Validator_1.service) {
            throw new Error('<Validator>拦截器未配置验证服务接口。');
        }
        target.ctx.validator = Validator_1.service;
        let rules = {};
        if (!metadata.config.params) {
            return true;
        }
        if (metadata.config.params instanceof Array) {
            const _rules = Object.assign({}, Validator_1.rules);
            for (const key of metadata.config.params) {
                const rule = _rules[key];
                if (rule) {
                    rules[key] = rule;
                }
            }
        }
        else {
            rules = metadata.config.params;
        }
        const { ctx } = target;
        const errors = await Validator_1.service.validate(rules, ctx.params);
        if (errors && errors.length > 0) {
            throw new validate_1.default(errors);
        }
        return true;
    }
};
Validator.rules = {};
Validator = Validator_1 = tslib_1.__decorate([
    _1.default('validator')
], Validator);
exports.default = Validator;
