"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModelType;
(function (ModelType) {
    ModelType[ModelType["Mongoose"] = 1] = "Mongoose";
})(ModelType = exports.ModelType || (exports.ModelType = {}));
class Model {
    static fields(field) {
        return field;
    }
    static getSchema(name) {
        return this.schemas.get(name);
    }
    static declare(name, type, schema) {
        if (this.getSchema(name)) {
            throw new Error(`模型[${name}]重复声明.`);
        }
        this.schemas.set(name, { type, schema });
        return schema;
    }
}
Model.schemas = new Map();
Model.Types = {
    pagingData: (m) => `IPagingData<${m}>`,
    array: (m) => `Array<${m}>`,
    schema: (m) => m,
};
exports.default = Model;
class OrderInfo {
    static create(fields, desc = true) {
        if (Array.isArray(fields)) {
            const list = new Array();
            for (const key of fields) {
                list.push({
                    field: key,
                    desc
                });
            }
            return list;
        }
        return {
            field: fields,
            desc
        };
    }
}
exports.OrderInfo = OrderInfo;
class PageInfo {
    static create(pageSize = this.DEFAULT_PAGE_SIZE) {
        return Object.assign({}, { pageId: 1, pageSize, dataCount: 0 });
    }
}
PageInfo.FIRST_PAGE_ID = 1;
PageInfo.MAX_PAGE_SIZE = 1000;
PageInfo.DEFAULT_PAGE_SIZE = 20;
exports.PageInfo = PageInfo;
class PagingData {
    static create(paging, data) {
        return { pageInfo: paging || PageInfo.create(), data };
    }
}
exports.PagingData = PagingData;
