"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tsquery_1 = require("@phenomnomnominal/tsquery");
class BaseAstParser {
    constructor(code) {
        this.ast = tsquery_1.tsquery.ast(code);
    }
    query(selector, node) {
        return tsquery_1.tsquery(node || this.ast, selector);
    }
    getImportNode(file) {
        const node = this.query(`ImportDeclaration > StringLiteral[text='${file}']`);
        for (let index = 0; index < node.length; index++) {
            node[index] = node[index].parent;
        }
        return node;
    }
    getInterfaceNode(name) {
        const node = this.query(`InterfaceDeclaration > Identifier[escapedText='${name}']`);
        for (let index = 0; index < node.length; index++) {
            node[index] = node[index].parent;
        }
        return node;
    }
    getVariableNode(name) {
        const node = this.query(`VariableStatement Identifier[escapedText='${name}']`);
        for (let index = 0; index < node.length; index++) {
            node[index] = node[index].parent.parent.parent;
        }
        return node;
    }
}
exports.default = BaseAstParser;
