"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const _1 = require(".");
const action_1 = require("../action");
const type_1 = require("../type");
const manager_1 = require("./manager");
let ActionResult = class ActionResult {
    async render(ctx, value) {
        const type = action_1.Action.dataType === action_1.DataType.JSON ? type_1.default.json : type_1.default.xml;
        const result = manager_1.default.get(type);
        if (result) {
            await result.render(ctx, value);
        }
    }
    static fail(name, code = -1000, data) {
        return _1.Result.fail(name + '执行失败.', code, data);
    }
    static success(name, data) {
        return _1.Result.success(name + '执行成功.', data);
    }
    static create(value) {
        throw new Error("Method not implemented.");
    }
};
ActionResult = tslib_1.__decorate([
    _1.default(type_1.default.action)
], ActionResult);
exports.default = ActionResult;
