import BaseError from '../error/base';
export interface IActionResult {
    render(ctx: any, value?: any): Promise<void>;
}
export interface IResult {
    code: number;
    success: boolean;
    msg: string;
    data?: any;
}
export declare class Result {
    static readonly SUCCESS_CODE = 200;
    static readonly ERROR_CODE = -1000;
    static error(err: BaseError, data?: any): IResult;
    static success(msg: string, data?: any): IResult;
    static fail(msg: string, code?: number, data?: any): IResult;
}
export default function result(name: string): (target: any) => void;
