"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const manager_1 = require("./manager");
class Result {
    static error(err, data) {
        return Result.fail(err.message, err.code, Object.assign({ type: err.type }, data));
    }
    static success(msg, data) {
        return Object.assign({ code: Result.SUCCESS_CODE, success: true, msg }, data);
    }
    static fail(msg, code = Result.ERROR_CODE, data) {
        return Object.assign({ code, success: false, msg }, data);
    }
}
Result.SUCCESS_CODE = 200;
Result.ERROR_CODE = -1000;
exports.Result = Result;
function result(name) {
    return (target) => {
        const result = manager_1.default.add(name, target);
        target['create'] = (data) => {
            return {
                render: async (ctx, value) => {
                    await result.render(ctx, data);
                }
            };
        };
    };
}
exports.default = result;
