export declare const roleSymbolKey = "__role__";
export interface IPermission {
    key: string;
    value: string;
}
export declare type IPermissions<T> = {
    readonly [P in keyof T]: IPermission;
};
export declare class Role {
    static decorate(permissions?: any): (target: any, propertyKey?: string | undefined, descriptor?: PropertyDescriptor | undefined) => void;
    static getPermissions(target: any, propertyKey: string): any;
    static assign<T>(permissions: T): IPermissions<T>;
    static combine<T>(permissions: IPermission[]): IPermissions<T>;
    static merge(...permissions: IPermissions<any>[]): IPermissions<any>;
}
export default function role(permissions?: any): (target: any, propertyKey?: string | undefined, descriptor?: PropertyDescriptor | undefined) => void;
