import { Fields } from './model';
import { ParamType } from './params';
export declare type NestedParmSchema = ParmSchema | any;
export interface ParmSchema {
    type: ParamType;
    min?: number;
    max?: number;
    memo?: string;
    required?: boolean;
    message?: string;
    schema?: NestedParmSchema;
    values?: any[];
    value?: ParamType;
    ref?: ParamType;
}
export interface ParmRule {
    [key: string]: NestedParmSchema;
}
export interface IFilterRules {
    filter: ParmRule;
    pageInfo: ParmRule;
    orderBy: ParmRule;
}
export declare const Rules: ParmRule;
export default Rules;
export declare class DynamicRule {
    static orderInfo<T>(fields: Fields<T>[]): ParmRule;
    static enumValues(obj: any): {
        type: ParamType;
        value: ParamType;
        values: (string | number)[];
        desc: string;
        ref: string;
    };
    static enumKeys(obj: any): {
        type: ParamType;
        value: ParamType;
        values: string[];
        desc: string;
        ref: string;
    };
}
