export interface IDataProvider {
    fetchData(): Promise<object>;
}
interface ICache {
    data: any;
    provider: IDataProvider;
}
interface ICommand {
    type: string;
    keys: Array<string>;
}
interface ICommandCB {
    (cmd: ICommand): void;
}
interface IMessageProvider {
    subscribe(cb: ICommandCB): any;
    publish(cmd: ICommand): Promise<void>;
}
export declare class RedisProvider implements IMessageProvider {
    private client;
    private sub;
    private readonly SUB_KEY;
    constructor(config: any);
    subscribe(cb: ICommandCB): void;
    publish(cmd: ICommand): Promise<void>;
}
export default class CacheService {
    private static cacheMap;
    private static provider;
    private static readonly CMD_CLEAR;
    static init(provider: IMessageProvider): Promise<void>;
    static clear(keys?: Array<string>): Promise<void>;
    static add(key: string, cache: ICache): Promise<void>;
    static update(key: string): Promise<void>;
    static getData(key: string, provider: IDataProvider): Promise<any>;
    private static batchUpdate;
}
export {};
