export interface IMessageBody {
    type: string;
    params: object;
}
export interface IMQConfig {
    accessKeyId: string;
    accessKeySecret: string;
    topic: string;
    producerID: string;
    consumerID: string;
}
export interface IMessageHandler {
    (msgId: string, msg: IMessageBody): Promise<any>;
}
export declare const logger: {
    info(): void;
    warn(): void;
    error(...args: any[]): void;
    debug(): void;
};
export default class MQService {
    private static producer;
    private static consumer;
    private static config;
    private static readonly handlers;
    static initProducer(config: IMQConfig): void;
    static initConsumer(config: IMQConfig): void;
    static push(msg: IMessageBody): Promise<boolean>;
    static subscribe(type: string, handler: IMessageHandler): void;
}
