"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert = require("assert");
const enum_1 = require("../enum");
const colors = require("colors");
var PType;
(function (PType) {
    PType[PType["ONE"] = 1] = "ONE";
    PType[PType["TWO"] = 2] = "TWO";
    PType["THREE"] = "three";
})(PType || (PType = {}));
var PType2;
(function (PType2) {
    PType2[PType2["ONE"] = 1] = "ONE";
    PType2[PType2["TWO"] = 2] = "TWO";
    PType2["THREE"] = "three";
})(PType2 || (PType2 = {}));
enum_1.default.declare({
    obj: PType,
    name: 'PType',
    desc: 'PType',
    fields: [
        { key: 'ONE', value: 1, desc: '一' },
        { key: 'TWO', value: 2, desc: '二' },
        { key: 'THREE', value: 'three', desc: '三' }
    ]
});
enum_1.default.declare({
    obj: PType2,
    name: 'PType2',
    desc: 'PType',
    fields: [
        { key: 'ONE', value: 1, desc: '一一' },
        { key: 'TWO', value: 2, desc: '二二' },
        { key: 'THREE', value: 'three', desc: '三三' }
    ]
});
describe('枚举工具类测试', function () {
    it('获得描述', function () {
        const str = enum_1.default.explain(PType);
        console.log(colors.green(str));
        assert.ok(str);
        const desc = enum_1.default.getDescription(PType, PType.THREE);
        console.log(colors.green(desc || ''));
        assert.ok(desc);
        for (const [key] of enum_1.default.registry) {
            console.log('==>', key);
        }
        for (const key in enum_1.default.registry) {
            console.log('=>', key);
        }
    });
    it('获得键值', function () {
        const keys = enum_1.default.getKeys(PType);
        console.log(colors.green(JSON.stringify(keys)));
        assert.ok(keys.length === 3);
        const values = enum_1.default.getValues(PType);
        console.log(colors.green(JSON.stringify(values)));
        assert.ok(values.length === 3);
    });
});
