"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const params_1 = require("../params");
const rules_1 = require("../rules");
exports.AdRules = {
    filter: {
        user_id: {
            type: params_1.ParamType.OBJECT_ID,
            memo: '广告主id',
        },
        title: {
            type: params_1.ParamType.STRING,
            max: 20,
            memo: '广告标题',
        },
        images: {
            type: params_1.ParamType.ARRAY,
            max: 13,
            memo: '图片地址数组',
            schema: {
                type: params_1.ParamType.STRING,
            },
        },
        platform: {
            type: params_1.ParamType.ENUM,
            memo: '投放平台',
            value: params_1.ParamType.STRING,
            ref: 'Platform'
        },
        type: {
            type: params_1.ParamType.NUMBER,
            memo: '所属行业分类',
        },
        start_time: {
            type: params_1.ParamType.DATE,
            memo: '广告投放开始时间（从审核成功后计算）',
        },
        test: {
            type: {
                type: params_1.ParamType.ARRAY,
                max: 13,
                memo: '图片地址数组',
                schema: {
                    id: {
                        type: params_1.ParamType.STRING,
                    }
                },
            }
        }
    },
    orderBy: rules_1.DynamicRule.orderInfo(['start_time'])
};
