"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const moment = require("moment");
class DateUtil {
    static getShortDate(day) {
        return day.set({ hour: 0, minute: 0, second: 0, millisecond: 0 });
    }
    static getTodayShortDate() {
        return this.getShortDate(moment());
    }
    static getCurrentDay(day) {
        return {
            start: day.clone().toDate(),
            end: day
                .clone()
                .add(1, 'days')
                .toDate(),
        };
    }
    static getTodayRange() {
        return this.getCurrentDay(this.getTodayShortDate());
    }
    static getYesterday() {
        const today = this.getTodayShortDate();
        return {
            start: today
                .clone()
                .subtract(1, 'days')
                .toDate(),
            end: today.clone().toDate(),
        };
    }
    static getLatestWeek() {
        const today = this.getTodayShortDate();
        return {
            start: today
                .clone()
                .subtract(6, 'days')
                .toDate(),
            end: today
                .clone()
                .add(1, 'days')
                .toDate(),
        };
    }
    static getLastMonth() {
        const today = this.getTodayShortDate();
        return {
            start: today
                .clone()
                .subtract(29, 'days')
                .toDate(),
            end: today
                .clone()
                .add(1, 'days')
                .toDate(),
        };
    }
    static getThisMonth() {
        return {
            start: moment()
                .startOf('month')
                .toDate(),
            end: moment()
                .endOf('month')
                .toDate(),
        };
    }
}
exports.default = DateUtil;
